<template>
  <div class="h-full flex flex-col container relative mx-auto py-5">
    <el-tabs v-model="transactionAcitveTab" class="demo-tabs">
      <el-tab-pane :label="$t('deposit')" name="DepositHistory" />
      <el-tab-pane :label="$t('withdrawal')" name="WithdrawalHistory" />
      <el-tab-pane :label="$t('winlose')" name="Winlose" />
    </el-tabs>
    <router-view class="flex-auto"></router-view>
  </div>
</template>

<script lang="ts" setup>
import { useRoute } from "vue-router";

const route = useRoute();
const transactionAcitveTab = computed(() => String(route.name));
</script>
